<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Calibration StructType
 * @subpackage Structs
 */
class Get_Calibration extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The CalibrationSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CalibrationSelection
     */
    public $CalibrationSelection;
    /**
     * Constructor method for Get_Calibration
     * @uses Get_Calibration::setLogin()
     * @uses Get_Calibration::setCalibrationSelection()
     * @param \StructType\Login $login
     * @param \StructType\CalibrationSelection $calibrationSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\CalibrationSelection $calibrationSelection = null)
    {
        $this
            ->setLogin($login)
            ->setCalibrationSelection($calibrationSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Calibration
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get CalibrationSelection value
     * @return \StructType\CalibrationSelection|null
     */
    public function getCalibrationSelection()
    {
        return $this->CalibrationSelection;
    }
    /**
     * Set CalibrationSelection value
     * @param \StructType\CalibrationSelection $calibrationSelection
     * @return \StructType\Get_Calibration
     */
    public function setCalibrationSelection(\StructType\CalibrationSelection $calibrationSelection = null)
    {
        $this->CalibrationSelection = $calibrationSelection;
        return $this;
    }
}
